Bug 440435 - xorg-x11-drv-i810: need to document behavior changes between i810 and intel driver
xorg-x11-drv-i810: need to document behavior changes between i810 and intel d...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: redhat-release-notes (Show other bugs)
5.2
All Linux
low Severity low
: rc
: ---
Assigned To: Adam Jackson
desktop-bugs@redhat.com
: Documentation
Depends On:
Blocks: RHEL5u2_relnotes
  Show dependency treegraph
 
Reported: 2008-04-03 11:17 EDT by Cameron Meadors
Modified: 2009-08-20 00:23 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2008-0464
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 13:38:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Cameron Meadors 2008-04-03 11:17:24 EDT
The expected behavior has changes significantly between i810 and intel drivers.
 Specifically in regards to external display with laptops.  The intel driver is
default to many cards that use to use the i810 driver.  I would expect that
differences in behavior to confuse customers.  We should document that changes
to reduce the amount of support calls and bugs due to misunderstanding of how
things work now.
Comment 2 Don Domingo 2008-04-10 19:55:09 EDT
adding NEEDINFO=cmeadors for release note content.
Comment 3 Kevin E. Martin 2008-04-11 14:35:14 EDT
Don, FYI, I'm working on some text for the release notes, which I'll attach here
when it's ready, and will then have ajax see if he wants to add anything.

Changing needinfo to me.
Comment 4 Kevin E. Martin 2008-04-11 15:07:31 EDT
In the 5.2 beta release notes, we have the following:

The Intel Xorg driver now provides enhanced support for i915 (and later) chips.
This driver is also the default driver now for such chips.

Basic runtime multi-head support is provided by the intel Xorg driver. Selecting
a resolution with the System => Preferences => Screen Resolution tool
(gnome-display-properties) will set that resolution on all connected outputs.

---------------

Here are my suggested changes:

The "intel" Xorg driver now provides enhanced support for i915 (and later)
chips. This driver is also the default driver now for such chips.  Users can
switch back to the older "i810" driver by changing the Driver line in their
xorg.conf file from "intel" to "i810" if desired.

Basic runtime multi-head support is provided by the "intel" Xorg driver.
Selecting a resolution with the System => Preferences => Screen Resolution tool
(gnome-display-properties) will set that resolution on all connected outputs.

Video hotkey support (Fn+F7 on many laptops) in the "intel" Xorg driver will
scan all output connectors (including the built-in screen) to determine which
have a monitor attached to them, and will enable all outputs that are connected.
Comment 5 Kevin E. Martin 2008-04-11 15:15:09 EDT
Clarification on the last sentence:

Video hotkey support (Fn+F7 on many laptops) in the "intel" Xorg driver will
scan all output connectors (including the one for the built-in flat panel on
laptops) to determine which outputs have monitors attached, and then will enable
all outputs that are connected.
Comment 6 Kevin E. Martin 2008-04-11 15:17:59 EDT
Ajax, could you read through my suggested changes and see if there is anything
that you would like to add or change to the release notes for the intel driver?
 And, then put it back to NEEDINFO=cmeadors.
Comment 7 Don Domingo 2008-04-13 19:29:55 EDT
thanks Kevin, revising note as follows:

<quote>
The Intel Xorg driver now provides enhanced support for i915 (and later) chips.
This driver is also the default driver now for such chips. If you prefer to use
the older Xorg driver (originally used for i810 chips, replace Intel with i810
in the Driver line of /etc/X11/xorg.conf (under the "Device" section.

Basic runtime multi-head support is provided by the intel Xorg driver. Selecting
a resolution with the System => Preferences => Screen Resolution tool
(gnome-display-properties) will set that resolution on all connected outputs.

Video hotkey support (Fn+F7 on most laptops) in the "intel" Xorg driver will
scan all output connectors (including ports for the built-in flat panel on
laptops) to determine which of them have monitors attached. All connected output
ports will then be enabled.
</quote>

please advise (before April 15) if any further revisions are required. thanks!
Comment 14 errata-xmlrpc 2008-05-21 13:38:00 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0464.html

Note You need to log in before you can comment on or make changes to this bug.